PageLoader

Build Status

A framework for creating page objects for in-browser tests or WebDriver tests.

PageLoader for Dart comes in two flavours: async and sync.

Async PageLoader for Dart

pub package

Async PageLoader for Dart is the recommended version going forward. It is designed to work with webdriver.dart.

Sync PageLoader for Dart

pub package

The sync version is deprecated and will eventually be removed from this repository. Consider switching to the async version.

Sync Pageloader was designed to work with the now deprecated Dart Sync WebDriver.

When using Sync PageLoader with Dart Sync WebDriver, you must build the native extension for https://github.com/google/dart-sync-socket This can be done by running the following after running pub get or upgrade:

  # ./packages/sync_socket/../tool/build.sh

Libraries

pageloader.html

PageLoader HTML provides the necessary bindings to support using PageLoader Objects in tests that run within the browser.

pageloader.objects

PageLoader Objects provides the core interface and annotation definitions that should be used within PageLoader Objects.

pageloader.webdriver

PageLoader WebDriver provides the necessary bindings to support using PageLoader in WebDriver-based tests.